VCAUDIO(4)

NAME
vcaudio - Broadcom VideoCore integrated audio device driver

SYNOPSIS
vcaudio* at vchiq?

DESCRIPTION
The vcaudio driver provides support for the VideoCore 4 audio interface found on Broadcom SoCs used in boards such as the Raspberry Pi.

Three outputs are supported: auto, headphones, and hdmi. The selected output can be changed using the outputs.select mixerctl(1) variable. headphones corresponds to the analog 3.5mm jack on the Raspberry Pi.

The hardware does not support recording.

SEE ALSO
mixerctl(1), audio(4), mixer(4), vchiq(4)

HISTORY
The vcaudio device driver appeared in NetBSD 7.0.

BUGS
The playback block size is fixed at 40ms of audio. The hardware output format is fixed at stereo 48kHz 16-bit LPCM so is not configurable with audiocfg(1).